Bug 28887

Summary: Tasklist can not be started
Product: contrib Reporter: krheinwald <krheinwald>
Component: TasklistAssignee: Torbjorn Norbye <tor>
Status: RESOLVED INVALID QA Contact: tasklist-issues <tasklist-issues.netbeans.org>
Priority: P1 CC:
Version: 3.x   
Target Milestone: TBD   
Hardware: PC   
OS: Windows XP   
Whiteboard:
Issue Type: DEFECT Exception Report:

Description krheinwald 2002-11-20 17:57:54 UTC
After downloading and unzipping tasklist.zip (2002-09-21) 
into the s1studio dir and starting the IDE, a warning 
dialog pops up and all tasklist modules, including 
tasklist core are disabled and can not be enabled via 
options. (Prpoerties are not editible) .

The message reads:

Could not install some modules:
User Task List - Module Task List Core Support needed to 
also be installed or was an outdated version
User Task List - IDE/1>2.21
Bug List - Module Task List Core Support needed to also be 
installed or was an outdated version
Bug Task List - IDE/1>2.21
Comment 1 Torbjorn Norbye 2002-11-21 14:14:30 UTC
That message is telling you (in a not so clear way) that tasklist is
not supported on NetBeans 3.3, which Sun ONE Studio 4 is built on. You
need NetBeans 3.4 or later (that's the IDE/1>2.21 requirement).

This is because I'm using a bunch of stuff related to the TreeTable
component which was added for NetBeans 3.4 to support the new debugger
UI (which I was involved with).

Porting tasklist to the older NetBeans is a large undertaking and a
bunch of things will be broken. It doesn't seem worth the effort; as
soon as the next version of Sun ONE Studio comes out which is built on
3.4 tasklist should work with Sun ONE Studio.
By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo